Bug 505960 - Anaconda traceback
Anaconda traceback
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:11784aea3980ece01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 20:06 EDT by Ian Pilcher
Modified: 2010-06-28 09:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (157.30 KB, text/plain)
2009-06-14 20:06 EDT, Ian Pilcher
no flags Details
Attached traceback automatically from anaconda. (250.51 KB, text/plain)
2009-08-28 12:15 EDT, blacflame
no flags Details

  None (edit)
Description Ian Pilcher 2009-06-14 20:06:31 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 410, in lvdeactivate
    raise LVMError("lvdeactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2116, in teardown
    lvm.lvdeactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/__init__.py", line 1069, in findExistingRootDevices
    device.teardown()
  File "/usr/lib/anaconda/upgrade.py", line 162, in findExistingRoots
    rootparts = findExistingRootDevices(anaconda, upgradeany=upgradeany)
  File "/usr/lib/anaconda/upgrade.py", line 136, in findRootParts
    anaconda.id.rootParts = findExistingRoots(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvdeactivate failed for gfs2_lv
Comment 1 Ian Pilcher 2009-06-14 20:06:39 EDT
Created attachment 347872 [details]
Attached traceback automatically from anaconda.
Comment 2 Ian Pilcher 2009-06-14 20:20:20 EDT
I am getting the same error (5) when I switch to VT2 and try to deactivate
gfs2_lv.  The error message is, "LV ipilcher_vg/gfs2_lv in use: not
deactivating".  I'm unable to tell exactly what is using the LV.

gfs2_lv is actually a "virtual disk", containing a single partition
(type 8e).  It was part of a cluster of KVM or Xen guests (can't remember).
Since there's no data on the LV, I'm going to blow it away and try again; I
can recreate it if need be.
Comment 3 blacflame 2009-08-28 12:15:57 EDT
Created attachment 359093 [details]
Attached traceback automatically from anaconda.
Comment 4 Bug Zapper 2010-04-27 10:55:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:01:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.